import request from '@/utils/httpRequest'

export default class ReportCancellApplyArchivedService {
  findList (params) {
    return request({
      url: '/cwProjectReportArchivedCancell/findList',
      method: 'get',
      params: params
    })
  }
  queryById (id) {
    return request({
      url: '/cwProjectReportArchivedCancell/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  saveForm (inputForm) {
    return request({
      url: `/cwProjectReportArchivedCancell/saveForm`,
      method: 'post',
      data: inputForm
    })
  }
  updateStatusById (data) {
    return request({
      url: '/cwProjectReportArchivedCancell/updateStatusById',
      method: 'post',
      data: data
    })
  }
  findByContractInfoId (id) {
    return request({
      url: '/cwProjectReportArchivedCancell/findByContractInfoId',
      method: 'get',
      params: {id: id}
    })
  }
}
